# shellcheck shell=sh

if [ "${RBENV_SHELL}" = "" ]; then
    if command -v rbenv >/dev/null 2>&1 ; then
        eval "$(rbenv init -)"
    fi
fi

if [ -d "${HOME}/.rvm/bin" ]; then
    case "${PATH}" in
        *"$HOME/.rvm/bin"*) ;;
        *) export PATH="$PATH:$HOME/.rvm/bin" ;;
    esac
fi

if [ "$(ps -p $$ -ocomm=)" = sh ]; then
    if [ -f "$HOME/.rvm/scripts/rvm" ]; then
        # Load RVM into a shell session *as a function*
        # shellcheck disable=SC1091
        . "$HOME/.rvm/scripts/rvm"
    fi
fi
